Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Wed, 10 Aug 2022 15:00:31 +0000

>
> I had forgotten to disable show-paren-mode; doing that (with -Q) seems 
> to increase the length of the initial scrolling but it still comes to a 
> halt and there's a delay (though no longer several seconds) before the 
> cursor catches up.  Further scrolling in the file seems not to show the 
> same improvement (i.e., scrolling halts again after ~3 visual lines), 
> though the file is too short to do that more than once or twice.
>

I can now reproduce what you describe.  The short halt you see at some 
point is AFAIU due to fontification, which (for some reason) takes a bit 
longer at some point in the file.  Note that the goal of long line 
optimizations is to get the best possible performance while disabling as 
least functionalities as possible.  It is not to become as fast as what 
you would see with M-x find-find-literally in all circumstances, which 
wouldn't be possible.